Page MenuHomePhabricator

CX2: Show reset option in the MT card only when the paragraph has been modified
Closed, ResolvedPublic

Description

The Automatic translation card (T188247) allows to select between MT services. Users can modify the proposed translation, and an option to "reset the translation" is provided to get the initial translation from the service again.

The "reset translation" option is only useful when the user has made modifications to the initial translation. Currently it is always shown. We want it to be only visible after the user made changes to the initial translation provided by the service.

(Note that the above image uses labels that will be updated in T209606 and it is only intended to illustrate when the "Reset translation" option is expected to be shown and when it is not)

Event Timeline

Pginer-WMF triaged this task as Normal priority.May 31 2018, 9:32 AM
Pginer-WMF created this task.
Vvjjkkii renamed this task from CX2: Show reset option in the MT card only when the paragraph has been modified to gxbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from gxbaaaaaaa to CX2: Show reset option in the MT card only when the paragraph has been modified.Jul 2 2018, 2:10 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Pginer-WMF updated the task description. (Show Details)Nov 28 2018, 8:52 AM

Change 478584 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Show reset option in the MT card only when section has been modified

https://gerrit.wikimedia.org/r/478584

There is a few known issues noted in the patch where "Reset section" appears when it shouldn't (but never not appearing when it should, to my knowledge). Solving those issues is not trivial (I was not able to figure out a solution), and they should be done separately. Question is: can the patch be merged with the known issues or whether the known issues must be fixed first?

There is a few known issues noted in the patch where "Reset section" appears when it shouldn't (but never not appearing when it should, to my knowledge). Solving those issues is not trivial (I was not able to figure out a solution), and they should be done separately. Question is: can the patch be merged with the known issues or whether the known issues must be fixed first?

I think it is ok to iterate in this case, and observe how frequent those cases are. so I think we can merge it.
As you mentioned, the most important thing is that we are not hiding the feature by mistake when the user may need it.

Change 478584 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Show reset option in the MT card only when section has been modified

https://gerrit.wikimedia.org/r/478584

Etonkovidova closed this task as Resolved.Apr 9 2019, 9:43 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked in testwiki (wmf.24) - 'Reset' option appears only when the content of the translated paragraph is modified.

The two known issues mentioned by @santhosh in https://gerrit.wikimedia.org/r/478584 were separated into a follow-up phab task T220559: "Reset translation" option issues